[SciPy-User] Building scipy on Linux

Scott Sinclair scott.sinclair.za@gmail....
Wed Dec 22 05:44:38 CST 2010


On 21 December 2010 02:55, Willard Maier <willardmaier@gmail.com> wrote:
> I'm trying to build scipy and numpy on Linux (Mint, a derivative of Ubuntu),
> and I'm following the directions on
> http://www.scipy.org/Installing_SciPy/Linux
> for "Building everything from source using gfortran on Ubuntu, Nov 2010.
> After several hours of work I finally got to the step for building scipy,
> "python setup.py build", but here I get the following error:
>
> Traceback (most recent call last):
>   File "setup.py", line 85, in <module>
>     FULLVERSION += svn_version()
>   File "setup.py", line 58, in svn_version
>     from numpy.compat import asstr
> ImportError: No module named compat

It sounds like you don't have Numpy installed. Building (and running)
Scipy relies on Numpy...

Cheers,
Scott


More information about the SciPy-User mailing list